/**
 * Enum of file formats our conversion tools support.
 *
 * @author Onur Gürsoy
 */
export declare enum DataFormat {
    /**
     * Raw text (preferably UTF-8 encoded)
     */
    RAW = "RAW",
    /**
     * Hypertext Markup Language (HTML).
     * <p>
     * <strong>WARNING: </strong>All data is considered valid by {@link #matches(byte[])} and {@link #requireMatchingFormat(byte[])}.
     * </p>
     */
    HTML = "HTML",
    /**
     * <a href='https://www.pdfa.org/'>Portable Document Format (PDF)</a>
     */
    PDF = "PDF",
    /**
     * Office Open Document (DOC)
     */
    DOC = "DOC",
    /**
     * <a href='https://developer.microsoft.com/de-de/office/docs'>Office Open XML (DOCX)</a>
     */
    DOCX = "DOCX"
}
