/// <reference types="node" />
/**
 * Converts {@link Blob} to base64 string asynchronously
 * @param fileToConvert File to convert
 * @return Base64 encoded data
 */
export declare const convertFileToBase64: (fileToConvert: Blob) => Promise<string>;
/**
 * Converts given data to corresponding base64 string
 * @param rawData Data to convert. Can be of type base64 string, Blob or Buffer
 * @return Base64 encoded data
 */
export declare const getBase64EncodedData: (rawData: string | Blob | Buffer) => Promise<string>;
