import { AxiosError } from 'axios';
import { ApiResponse } from '../models/ApiResponse';
/**
 * Creates {@link ApiResponse} from {@link Error}
 * @param error AxiosError to build the response from
 */
export declare const createApiResponseFromInternError: (error: Error) => ApiResponse;
/**
 * Creates {@link ApiResponse} from {@link AxiosError}
 * @param error AxiosError to build the response from
 */
export declare const createApiResponseFromAxiosError: (error: AxiosError) => ApiResponse;
/**
 * Creates {@link ApiResponse} from Conversion error message and type
 * @param message Conversion error message
 * @param name Conversion error name
 */
export declare const createApiResponseFromConversionError: (message: string, name: string) => ApiResponse;
