/**
 * Abstract class for metadata returned by the Juracus API.
 *
 * @param <T> - Type of the metadata's value.
 * @author Onur Gürsoy
 */
export declare type ApiMetadata<T> = {
    /**
     * Name of the metadata.
     */
    readonly name: string;
    /**
     * Description of the metadata.
     */
    readonly description: string;
    /**
     * Value of the metadata. To check if value is provided, run !!value
     */
    readonly value: T;
};
