/**
 * Enum of stations an API Call might go through. This enumeration can help to find the source of an error.
 *
 * @author Onur Gürsoy
 */
export declare enum ApiStage {
    /**
     * Client side error if an API call is malformed or data is invalid.
     */
    CLIENT_SIDE = 0,
    /**
     * Error during conversion of the uploaded document.
     */
    CONVERSION = 1,
    /**
     * Error during database communication.
     */
    DATABASE = 2,
    /**
     * Error while storing or retrieving stored data
     */
    STORAGE = 3,
    /**
     * Error regarding the API task queue.
     */
    QUEUE = 4,
    /**
     * Error during analysis.
     */
    JURACUS_AI = 5,
    /**
     * Server side API call processing.
     */
    API = 6,
    /**
     * Unknown error source.
     */
    UNKNOWN = 7
}
